"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SchemaWrapperInfo = void 0;
var generator_options_1 = require("./generator-options");
var SchemaWrapperInfo = /** @class */ (function () {
    function SchemaWrapperInfo(schemaItem) {
        this.propertySchemaObject = {};
        this.propertyReferenceObject = { $ref: '' };
        this.componentSchemaObject = schemaItem;
        this.description = schemaItem.description;
        this.valueProperties = [];
        this.referenceProperties = [];
        this.enumValues = [];
    }
    SchemaWrapperInfo.prototype.updateReferenceProperties = function (options) {
        var _a;
        this.referenceProperties = this.referenceProperties.filter((_a = options.referencePropertyTypeFilterCallBack) !== null && _a !== void 0 ? _a : generator_options_1.defaultFilter);
    };
    return SchemaWrapperInfo;
}());
exports.SchemaWrapperInfo = SchemaWrapperInfo;
