import { IGeneratorOptions } from '../models/generator-options';
export declare abstract class BaseGenerator<TContextSchema> {
    readonly generatorOptions: IGeneratorOptions;
    readonly templateFilePath: string | undefined;
    abstract readonly GeneratorName: string;
    readonly template?: HandlebarsTemplateDelegate<TContextSchema>;
    readonly emptyArrayRegex: RegExp;
    constructor(generatorOptions: IGeneratorOptions, templateFilePath: string | undefined);
    protected generateFile(outputFilePath: string, context: TContextSchema | null): string | null;
}
