import { IGeneratorOptions } from '../models/generator-options';
import { IPath, ITemplateData } from '../models/template-data';
import { BaseGenerator } from './base.generator';
export declare class EndPointsGenerator extends BaseGenerator<{
    paths: IPath[];
}> {
    readonly GeneratorName = "EndPointsGenerator";
    readonly endpointIdentifierRegex: RegExp;
    constructor(options: IGeneratorOptions);
    generate(templateData: ITemplateData): string | null;
    eliminateDupes(templateData: ITemplateData): IPath[];
}
