import { IGeneratorOptions } from '../models/generator-options';
import { ITemplateData } from '../models/template-data';
import { IEntity } from '../models/entity';
import { BaseGenerator } from './base.generator';
import { IHelperContext, PropertyType } from '../models/helper-context';
export declare class FormGroupFactoryGenerator extends BaseGenerator<IEntity> {
    readonly GeneratorName = "FormGroupFactoryGenerator";
    constructor(options: IGeneratorOptions);
    generate(templateData: ITemplateData): void;
    registerHelpers(): void;
    registerValidatorHelper(validatorName: string, angularValidatorName?: string): void;
    validatorFactory(propertyCollection: PropertyType, propertyContext: IHelperContext, validationName: string, angularValidatorFunctionName: string): string;
}
