import { ReferenceObject, SchemaObject } from 'openapi3-ts/dist/oas30';
import { IEnumValue } from './enum-value';
import { IGeneratorOptions } from './generator-options';
import { IReferenceProperty } from './reference-property';
import { IValueProperty } from './value-property';
export declare class SchemaWrapperInfo {
    propertySchemaObject: SchemaObject;
    propertyReferenceObject: ReferenceObject;
    isEnum?: boolean;
    readonly enumValues: (string | IEnumValue)[];
    readonly componentSchemaObject: SchemaObject;
    readonly valueProperties: IValueProperty[];
    referenceProperties: IReferenceProperty[];
    readonly description?: string;
    constructor(schemaItem: SchemaObject);
    updateReferenceProperties(options: IGeneratorOptions): void;
}
